# Package org.eclipse.cdt.core.templateengine.process

Class Summary
ConditionalProcessGroup: ConditionalProcess encloses an <if condition="..."></if> block of the template.
Process: This class contains methods to get first process block element, next process block element and checks for next process block element.
ProcessArgument: ProcessArgument class responsible for constructing process Arguments by taking info from Template.
ProcessHelper: Acts as helper class for process the processes i.e., copy, replace and append files.
ProcessParameter: ProcessParameter is responsible for construting the Process Parameter the given configuration element.
ProcessRunner: Abstract ProcessRunner class provides the methods to implement for processes.
ProcessRunnerFactory: Factory class for creating the Process Runners.
TemplateProcessHandler: Class handles the Template processes

Exception Summary
ProcessFailureException